import bot.*;
public class Fighter extends Methods {
	public Fighter(Client mc) {
		super(mc);
	}
	public String command() { return "fighter"; }
	
	public void main(String args[]) {
		printMessage("Fighter started");
		int x[] = new int[5];
		int y[] = new int[5];
		int pointer = 0;
		while(running()) {

				int npc[] = getAttackableNPCIndex();
				if(npc[0] != -1) {
					walkToWait(npc[1], npc[2]);
					attackNPCWait(npc[0]);
				}
		}
	}
	
	public void onStop() {
		printMessage("Fighter stopped");
	}
}
